function Game()
{

	AdjustBetArrays();
	BuildLog();
}
function BeginGame(number)
{
	game.spin += 1;
	game.numbers.push(parseInt(number));
	game.currentNumber = parseInt(number);
}


function RemoveDuplicates()
{
	if(streets.bets.length==0) streets.dupBet = [];
	if(repeats.bets.length==0) repeats.dupBet = [];
}
function AdjustBetArrays()
{

	streets.dupBet.remove(game.currentNumber);
	repeats.dupBet.remove(game.currentNumber);

	streets.dupBet.forEach(function(element) {
		if(!repeats.bets.includes(element))
		{
			if(!streets.bets.includes(element)) streets.bets.push(element);
			streets.dupBet.remove(element);
		}
	});
	repeats.dupBet.forEach(function(element) {
		if(!streets.bets.includes(element))
		{
			if(!repeats.bets.includes(element)) repeats.bets.push(element);
			repeats.dupBet.remove(element);
		}
	});
	streets.dupBet.forEach(function(element) {
		if(!repeats.bets.includes(element))
		{
			if(!streets.bets.includes(element)) streets.bets.push(element);
			streets.dupBet.remove(element);
		}
	});
	repeats.dupBet.forEach(function(element) {
			if(!streets.bets.includes(element))
			{
				if(!repeats.bets.includes(element)) repeats.bets.push(element);
				repeats.dupBet.remove(element);
			}
	});
}
function BuildLog()
{
	game.logMessage = "";
	game.logMessage += "<b>Game: "+game.spin+"</b>";
	var gprofit = parseInt(streets.profit[streets.profit.length-1]+repeats.profit[repeats.profit.length-1]);
	if(isNaN(gprofit)) gprofit = 0;
	game.logMessage += "<br/>Profit: "+gprofit;
	game.logMessage += "<p>Number up: <br/>";
	game.logMessage += game.numbers[game.numbers.length-1];
	game.logMessage += "<p>";
	game.logMessage += "<b>Neighbors</b>";
	game.logMessage += "<br/>Bets: "+repeats.bets;
	game.logMessage += "<br/>Duplicates: "+repeats.dupBet;
	var g2profitTemp = 0;
	if(repeats.profitTemp.length>0) g2profitTemp = repeats.profitTemp[repeats.profitTemp.length-1];
	game.logMessage += "<br/>Session Profits: "+g2profitTemp;
	var g2profit = 0;
	if(repeats.profit.length>0) g2profit = repeats.profit[repeats.profit.length-1];
	game.logMessage += "<br/>Total Profit: "+g2profit;

	game.logMessage += "<br/><br/><b>Streets</b>";
	game.logMessage += "<br/>Bets: "+streets.bets;
	game.logMessage += "<br/>Duplicates: "+streets.dupBet;
	var g1profitTemp = 0;
	if(streets.profitTemp.length>0) g1profitTemp = streets.profitTemp[streets.profitTemp.length-1];
	game.logMessage += "<br/>Session Profits: "+g1profitTemp;
	var g1profit = 0;
	if(streets.profit.length>0) g1profit = streets.profit[streets.profit.length-1];
	game.logMessage += "<br/>Total Profit: "+g1profit;

}