function Repeats(number)
{
	repeats.betAmount.push(repeats.bets.length);
	repeats.betAmount.push(repeats.dupBet.length);

	if(RepeatWonInd())
	{
		RepeatWon();
	}
	else
	{

		if(RepeatLossLimitInd())
		{
			RepeatOverLimit();
		}
		else
		{
			RepeatLost();

		}

	}

}

function DuplicateWonInd()
{
	return(repeats.dupBet.includes(game.currentNumber));
}
function RepeatOverLimit()
{
	var tProfit = repeats.profitTemp.reduce(getSum, 0);
	tProfit -= ((repeats.bets.length)+(repeats.dupBet.length));


	var profit = tProfit;
	repeats.profit.push(profit)
	repeats.profitTemp = [];
	repeats.index = game.spin - 1;
	if (repeats.index<0) repeats.index = 0;
	repeats.bets = [];
	repeats.dupBet = [];
}
function RepeatWon()
{

	var tProfit = repeats.profitTemp.reduce(getSum, 0);
	tProfit -= ((repeats.bets.length)+(repeats.dupBet.length));
	tProfit += 36;

	var profit = tProfit;
	repeats.profit.push(profit)
	repeats.profitTemp = [];
	repeats.index = game.spin - 1;
	if (repeats.index<0) repeats.index = 0;
	repeats.bets = [];
	repeats.dupBet = [];
}
function RepeatLossLimitInd()
{
	return((repeats.profitTemp.reduce(getSum, 0)-(repeats.bets.length))<=-36);
}
function RepeatWonInd()
{
	return(repeats.bets.includes(game.currentNumber)
	||repeats.dupBet.includes(game.currentNumber));
}
function RepeatLost()
{

	repeats.profitTemp.push(repeats.bets.length*-1);
	repeats.profitTemp.push(repeats.dupBet.length*-1);
	var number = game.currentNumber;
	var numberIndex = wheel.indexOf(number);

	var doorIndex1 = numberIndex - 1;
	if(doorIndex1 < 0 )
	{
		doorIndex1 = wheel.length-1;
	}
	var doorIndex2 = numberIndex + 1;
	if(doorIndex2 > wheel.length-1)
	{
		doorIndex2 = 0;
	}
	var door1 = wheel[doorIndex1];
	var door2 = wheel[doorIndex2];

	if(game.numbers.slice(repeats.index,game.numbers.length).filter(function(x){return x==number}).length>1)
	{
		if(!repeats.bets.includes(door1) && !streets.bets.includes(door1)) repeats.bets.push(door1);
		if(!repeats.bets.includes(door1) && streets.bets.includes(door1) && !repeats.dupBet.includes(door1)) repeats.dupBet.push(door1);
		if(!repeats.bets.includes(door2) && !streets.bets.includes(door2)) repeats.bets.push(door2);
		if(!repeats.bets.includes(door2) && streets.bets.includes(door2) && !repeats.dupBet.includes(door2)) repeats.dupBet.push(door2);
	}
}
