function PushStore()
{
	store.gameSpin.push(game.spin);
	store.gameProfit.push(game.profit);
	store.gameNumbers.push(game.numbers.slice());
	store.gameCurrentNumber.push(game.currentNumber);
	store.gameLogMessage.push(game.logMessage);
	store.streetsBets.push(streets.bets.slice());
	store.streetsDupBet.push(streets.dupBet.slice());
	store.streetsBetPlacedInd.push(streets.betPlacedInd.slice());
	store.streetsProfit.push(streets.profit.slice());
	store.streetsProfitTemp.push(streets.profitTemp.slice());
	store.streetsLookBack.push(streets.lookBack);
	store.repeatsIndex.push(repeats.index);
	store.repeatsProfitTemp.push(repeats.profitTemp.slice());
	store.repeatsProfit.push(repeats.profit.slice());
	store.repeatsBets.push(repeats.bets.slice());
	store.repeatsDupBet.push(repeats.dupBet.slice());
	store.log.push(game.logMessage);


}

function PopStore()
{

	// pop


	store.gameSpin.pop();
	store.gameProfit.pop();
	store.gameNumbers.pop();
	store.gameCurrentNumber.pop();
	store.gameLogMessage.pop();
	store.streetsBets.pop();
	store.streetsDupBet.pop();
	store.streetsBetPlacedInd.pop();
	store.streetsProfitTemp.pop();
	store.streetsLookBack.pop();
	store.repeatsIndex.pop();
	store.repeatsProfitTemp.pop();
	store.repeatsProfit.pop();
	store.repeatsBets.pop();
	store.repeatsDupBet.pop();
	store.log.pop();

}
function StoreToTemp()
{
	if(store.gameSpin.length>0)
	{

		var index=store.gameSpin.length-1;

		game.spin = store.gameSpin[index];
		game.profit = store.gameProfit[index];
		game.numbers = store.gameNumbers[index].slice();

		game.currentNumber = store.gameCurrentNumber[index];
		game.logMessage = store.gameLogMessage[index];
		streets.bets = store.streetsBets[index].slice();
		streets.dupBet = store.streetsDupBet[index].slice();
		streets.betPlacedInd = store.streetsBetPlacedInd[index].slice();
		streets.profit = store.streetsProfit[index].slice();
		streets.lookBack = store.streetsLookBack[index];
		repeats.index = store.repeatsIndex[index];
		repeats.profitTemp = store.repeatsProfitTemp[index].slice();
		repeats.profit = store.repeatsProfit[index].slice();
		repeats.bets = store.repeatsBets[index].slice();
		repeats.dupBet = store.repeatsDupBet[index].slice();

	}
	else
	{
		ClearTemp();
	}
}

